{% extends "base.html" %}
{% block app_content %}
    <h1 class="display-4 pt-md-3">{{ server["nickname"] }}</h1>
    <div class="row">
        <div class="col-md-6">
            <h3 class="display-5">OR Addresses</h3>
            <pre class="pre-scrollable">{{ "\n".join(server["or_addresses"]) }}</pre>
            <h3 class="display-5">Unreachable OR Addresses</h3>
            <pre class="pre-scrollable">{{ "\n".join(server["unreachable_or_addresses"]) }}</pre>
            <h3 class="display-5">Contact</h3>
            {% if contact == None %}
            <p>{{ server["contact"] }}</p>
            {% else %}
            <ul>
                {% for c in ["email", "url", "pgp", "abuse", "keybase", "twitter", "mastodon", "matrix", "xmpp", "otr3"] %}
                {% if c in contact.keys() %}
                 <li>{{ c }}: {{ contact[c] }}</li>
                    {% endif %}
            {% endfor %}
            </ul>
            <h3 class="display-5">Hosting Information</h3>
                        <ul>
                {% for c in ["hoster", "cost", "uplinkbw", "trafficacct"] %}
                {% if c in contact.keys() %}
                 <li>{{ c }}: {{ contact[c] }}</li>
                    {% endif %}
            {% endfor %}
            </ul>
                   <h3 class="display-5">Machine Information</h3>
                        <ul>
                {% for c in ["os", "memory", "cpu", "virtualization", "aesni"] %}
                {% if c in contact.keys() %}
                 <li>{{ c }}: {{ contact[c] }}</li>
                    {% endif %}
            {% endfor %}
            </ul>
                      <h3 class="display-5">Donation Information</h3>
                        <ul>
                {% for c in ["btc", "zec", "xmr", "donationurl"] %}
                {% if c in contact.keys() %}
                 <li>{{ c }}: {{ contact[c] }}</li>
                    {% endif %}
            {% endfor %}
            </ul>
            <h3 class="display-5">Configuration Parameters</h3>
                <ul>
                {% for c in ["offlinemasterkey", "signingkeylifetime", "sandbox", "tls", "autoupdate", "confmgmt", "dnslocation", "dnsqname", "dnssec", "dnslocalrootzone"] %}
           {% if c in contact.keys() %}
                 <li>{{ c }}: {{ contact[c] }}</li>
                    {% endif %}
            {% endfor %}
                </ul>
            {% endif %}
            <h3 class="display-5">Dir Address</h3>
            <p>{{ server["dir_address"] }}</p>
            <h3 class="display-5">Exit Addresses</h3>
            <pre class="pre-scrollable">{{ "\n".join(server["exit_addresses"]) }}</pre>
            <h3 class="display-5">Advertised Bandwidth</h3>
            <p>{{ server["advertised_bandwidth"] | human_Bps }}</p>
            <h3 class="display-5">Exit Policy</h3>
            <pre class="pre-scrollable">{{ "\n".join(server["exit_policy"]) }}</pre>
            <h3 class="display-5">Effective Family Members</h3>
            <pre class="pre-scrollable">{{ "\n".join(server["effective_family"]) }}</pre>
            <h3 class="display-5">Alleged Family Members</h3>
            <pre class="pre-scrollable">{{ "\n".join(server["alleged_family"]) }}</pre>
        </div>
        <div class="col-md-6">
            <h3 class="display-5">Fingerprint</h3>
            <pre class="pre-scrollable">{{ server["fingerprint"] }}</pre>
            <h3 class="display-5">Flags</h3>
            <p>{{ " ".join(server["flags"]) }}</p>
            <h3 class="display-5">Host Name</h3>
            <pre class="pre-scrollable">{{ "\n".join(server["verified_host_names"]) }}</pre>
            <h3 class="display-5">Country</h3>
            <p>{{ server["country_name"] }}</p>
            <h3 class="display-5">Autonomous System</h3>
            <p>{{ server["as_name"] }}</p>
            <h3 class="display-5">First Seen</h3>
            <p>{{ server["first_seen"] }}</p>
            <h3 class="display-5">Last Restarted</h3>
            <p>{{ server["last_restarted"] }}</p>
            <h3 class="display-5">Consensus Weight</h3>
            <p>{{ server["consensus_weight"] }}</p>
        </div>
    </div>
{% endblock %}